Workload, native division
fp-maverick-w1024-b24
FlashProve's own model and shape: the system's published steady-state shape. A workload fixes what is proved: the model by content hash, the precision, the prompt set, the shape, the decoding rule and the phase.
Definition
RFC-0003 §v0.1 native workloads
- Version
- 1
- Division
- native
- System
- flashprove
- Model
- Llama 4 Maverick, public 4-bit conversion
- Precision
- 4-bit
- Shape
- 1,024 prompt + 1 output tokens, greedy
- Batch
- 24 requests per batch, 5 batches per session, 120 prompts per job
- Phase
- prefill
- Model digest
- not pinned yet: filled from the public model repository in the implementing issue; the schema rejects a workload without it (RFC-0003)
- Prompt corpus digest
- not pinned yet: filled from the public model repository in the implementing issue; the schema rejects a workload without it (RFC-0003)
- Active parameters per token
- not pinned yet: filled from the public model repository in the implementing issue; the schema rejects a workload without it (RFC-0003)
Configurations on this workload
Claim summary first, then rows.
- relation:
- The output token is the top choice of the integer model whose weights were committed under the given commitment ID, on the given 1,024-token window.
- security.notion:
- knowledge_soundness
- coverage:
- prefill, request
- residual:
- proves the integer model, which differs from the 16-bit model's top token at some positions
Measured
setup_seconds
120.7 s
mean 120.7, sd 0.7506, min 119.9, max 121.4, n 3, n_failed 0
source: mock harness recordcommit_seconds
2,411 s
mean 2,411, sd 12.35, min 2,398, max 2,423, n 3, n_failed 0
source: mock harness recordprove_session_seconds
1,186 s
mean 1,186, sd 6.304, min 1,179, max 1,192, n 3, n_failed 0
source: mock harness recordprove_steady_seconds
887.9 s
mean 887.9, sd 6.678, min 881.6, max 894.9, n 3, n_failed 0
source: mock harness recordwhole_wall_seconds
3,596 s
mean 3,596, sd 6.056, min 3,590, max 3,602, n 3, n_failed 0
source: mock harness recordtokens_covered_total
122,900 token
mean 122,900, sd 0, min 122,900, max 122,900, n 3, n_failed 0
source: mock harness recordtokens_covered_steady
98,300 token
mean 98,300, sd 0, min 98,300, max 98,300, n 3, n_failed 0
source: mock harness recordrequests_count
120 count
mean 120, sd 0, min 120, max 120, n 3, n_failed 0
source: mock harness recordproofs_count
120 count
mean 120, sd 0, min 120, max 120, n 3, n_failed 0
source: mock harness recordproof_bytes_total
2.254e9 B
mean 2.254e9, sd 602,800, min 2.253e9, max 2.254e9, n 3, n_failed 0
source: mock harness recordverify_seconds
3.120 s
mean 3.120, sd 0.03000, min 3.090, max 3.150, n 3, n_failed 0
source: mock harness recordverify_seconds_total
374.4 s
mean 374.4, sd 3.600, min 370.8, max 378, n 3, n_failed 0
source: mock harness recordverify_single_thread_seconds
21.14 s
mean 21.14, sd 0.03000, min 21.11, max 21.17, n 3, n_failed 0
source: mock harness recordDerived (computed by the derivation code)
rate_whole_wall
34.17 token/s
mean 34.17, sd 0.05753, min 34.11, max 34.23, n 3, n_failed 0
source: mock derivation recordrate_prove.session
103.6 token/s
mean 103.6, sd 0.5510, min 103.1, max 104.2, n 3, n_failed 0
source: mock derivation recordrate_prove.steady
110.7 token/s
mean 110.7, sd 0.8317, min 109.8, max 111.5, n 3, n_failed 0
source: mock derivation recordcost_per_1k_tokens_whole_wall
0.03487 USD/1k_token
mean 0.03487, sd 5.873e-5, min 0.03482, max 0.03493, n 3, n_failed 0
source: mock derivation recordproof_bytes_per_token
18,340 B/token
mean 18,340, sd 4.905, min 18,330, max 18,340, n 3, n_failed 0
source: mock derivation recordverify_seconds_per_token
0.003047 s/token
mean 0.003047, sd 2.930e-5, min 0.003018, max 0.003076, n 3, n_failed 0
source: mock derivation recordRuns
mock-fp-b24-r1completedmock-fp-b24-r2completedmock-fp-b24-r3completed- Superseded, failed and ineligible runs never contribute to statistics (RFC-0009 S7).
Reference row: runs the model without proving, no proof claim (RFC-0015).
Measured
whole_wall_seconds
null (not_measurable_on_profile) s
Derived (computed by the derivation code)
rate_whole_wall
null (not_measurable_on_profile) token/s
Runs
No runs: the reference system cannot run this workload on the profile.